Class | Album
In: | app/models/album.rb
Parent: | ActiveRecord::Base

Clase para los álbumes de la fototeca

### Methods

can_be_read_by? cover_aphoto published? show_in_agencia show_in_irekia tags_for_ferret title_for_cover

### Included Modules

FerretMethods

### Public Instance methods

can_be_read_by?(user)

Indica si el usuario user puede ver el video. Sólo se usa en las búsquedas.

[Source]

        # File app/models/album.rb, line 47
    47:   def can_be_read_by?(user)
    48:     published?
    49:   end

cover_aphoto()

Foto de portada para este album

[Source]

        # File app/models/album.rb, line 20
    20:   def cover_aphoto
    21:     album_photos.find_by_cover_photo(true) || album_photos.first
    22:   end

published?()

Los albums siempre están publicados. Necesitamos el método para Ferret

[Source]

        # File app/models/album.rb, line 42
    42:   def published?
    43:     true
    44:   end

show_in_agencia()

Determina si el álbum se muestra en la Agencia. Sólo relevante para la busqueda

[Source]

        # File app/models/album.rb, line 37
    37:   def show_in_agencia
    38:     false
    39:   end

show_in_irekia()

Determina si el álbum se muestra en Irekia. Sólo relevante para la busqueda

[Source]

        # File app/models/album.rb, line 31
    31:   def show_in_irekia
    32:     true
    33:   end

tags_for_ferret()

Tags para la busqueda. Sólo relevante para la busqueda

[Source]

        # File app/models/album.rb, line 54
    54:   def tags_for_ferret
    55:     ""
    56:   end

title_for_cover()

Versión corta del título para que quepa en la portada del álbum

[Source]

        # File app/models/album.rb, line 15
    15:   def title_for_cover
    16:     title.length > 50 ? title[0..48].sub(/\s[^\s]+$/, ' ...') : title
    17:   end

[Validate]